Subject: bug#13708: 24.3.50; icomplete, ido, iswitchb: Replace C-s, C-r with C-. and C-,

From: Jambunathan K <[email-masked]>
Date: Thu, 14 Feb 2013 10:24:19 +0530

Dmitry Gutov <[email-masked]> writes:

> Jambunathan K <[email-masked]> writes:
>
>> This bug superseds 
>>         http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13602
>>
>> There seems to be a general agreement that C-s and C-r are too useful to
>> be superseded by icomplete, ido and iswitchb(?).
>
> How exactly the default bindings for C-s and C-r are supposed to be used
> in ido-mode?

I don't know.  Just not use C-s and C-r at all.

Or

Introduce two defcustoms of type :key-sequence *shared* across the three
libraries (ido, iswithcb and icomplete).

and set them to C-. and C-,

I don't know what solution would be best here.  Nothing wrong to
discuss, I suppose.

>> I am proposing C-, and C-. as useful defaults.

I think you are not objecting to this.

>> For fear of resentment, I am leaving C-s and C-r bindings intact.
>> Reviewer may delete them at his own discretion.

I am in favor of deletion.